package org.remote.roadhog;

import java.io.*;
import java.util.*;

public class MultiLanguageFile
{

	private Hashtable streams = new Hashtable ();

	public MultiLanguageFile (String filename, String[] languages)
	throws FileNotFoundException
	{
		for (int i = 0; i < languages.length; i++)
		{
			String name = filename + "." + languages[i];
			streams.put (languages[i], new PrintWriter (new FileOutputStream (name)));
		}
	}


	public void close ()
	{
		for (Iterator i = streams.values ().iterator (); i.hasNext (); )
		{
			((PrintWriter) i.next()).close ();
		}
	}


	public void print (Object o)
	{
		for (Iterator i = streams.values ().iterator (); i.hasNext (); )
		{
			((PrintWriter) i.next()).print (o);
		}
	}
	public void print (int n)
	{
		for (Iterator i = streams.values ().iterator (); i.hasNext (); )
		{
			((PrintWriter) i.next()).print (n);
		}
	}
	public void print (double n)
	{
		for (Iterator i = streams.values ().iterator (); i.hasNext (); )
		{
			((PrintWriter) i.next()).print (n);
		}
	}
	public void println (Object o)
	{
		for (Iterator i = streams.values ().iterator (); i.hasNext (); )
		{
			((PrintWriter) i.next()).println (o);
		}
	}
	public void println (int n)
	{
		for (Iterator i = streams.values ().iterator (); i.hasNext (); )
		{
			((PrintWriter) i.next()).println (n);
		}
	}
	public void println (double n)
	{
		for (Iterator i = streams.values ().iterator (); i.hasNext (); )
		{
			((PrintWriter) i.next()).println (n);
		}
	}
	public void println ()
	{
		for (Iterator i = streams.values ().iterator (); i.hasNext (); )
		{
			((PrintWriter) i.next()).println ();
		}
	}



	public void print (String lg, Object o)
	{
		PrintWriter s = (PrintWriter) streams.get (lg);
		if (s != null) s.print (o);
	}
	public void print (String lg, int n)
	{
		PrintWriter s = (PrintWriter) streams.get (lg);
		if (s != null) s.print (n);
	}
	public void print (String lg, double n)
	{
		PrintWriter s = (PrintWriter) streams.get (lg);
		if (s != null) s.print (n);
	}
	public void println (String lg, Object o)
	{
		PrintWriter s = (PrintWriter) streams.get (lg);
		if (s != null) s.println (o);
	}
	public void println (String lg, int n)
	{
		PrintWriter s = (PrintWriter) streams.get (lg);
		if (s != null) s.println (n);
	}
	public void println (String lg, double n)
	{
		PrintWriter s = (PrintWriter) streams.get (lg);
		if (s != null) s.println (n);
	}
}

