package org.remote.roadhog;

import java.io.*;
import java.util.*;

public class MultiLanguageStringBuffer
{

	private Hashtable buffers = new Hashtable ();

	public MultiLanguageStringBuffer (String[] languages)
	{
		for (int i = 0; i < languages.length; i++)
		{
			buffers.put (languages[i], new StringBuffer ());
		}
	}


	public String get (String lang)
	{
		StringBuffer b = (StringBuffer) buffers.get (lang);
		if (b != null)
		{
			return b.toString ();
		}
		else
		{
			return null;
		}
	}

	public void append (Object o)
	{
		for (Iterator i = buffers.values ().iterator (); i.hasNext (); )
		{
			((StringBuffer) i.next()).append (o);
		}
	}
	public void append (int n)
	{
		for (Iterator i = buffers.values ().iterator (); i.hasNext (); )
		{
			((StringBuffer) i.next()).append (n);
		}
	}
	public void append (String lang, Object o)
	{
		StringBuffer b = (StringBuffer) buffers.get (lang);
		if (b != null) b.append (o);
	}
	public void append (String lang, int n)
	{
		StringBuffer b = (StringBuffer) buffers.get (lang);
		if (b != null) b.append (n);
	}

}

